
#ifndef __WFX_SDL_SDLTEXTUREMANAGER_H__
#define __WFX_SDL_SDLTEXTUREMANAGER_H__

#include <WFX/WFXIncludes.h>
#include <WFX/scene/TextureManager.h>

namespace WFX {

    namespace SDL {

        /**
         * SDL implementation of the Texture Manager
         */
        class SDLTextureManager : public WFX::scene::TextureManager {
            public:
                /**
                 * Ctor/Dtor
                 */
                SDLTextureManager();
                virtual ~SDLTextureManager();

                /** implement TextureManager interface */
                void bindTexture(UInt h);

            protected:
                /** implement TextureManager interface */
                UInt nextHandle();
                bool loadTexture(const WFX::scene::Texture& t);
                

            private:

        };

    }

}


#endif //include guard


